import { Context } from "aws-lambda";
import { Instance, MiddlewareObject } from "..";
export declare class MiddyMiddleware<T, R, C extends Context = Context> {
    private readonly middlewareObject;
    constructor(middlewareObject: MiddlewareObject<T, R, C>);
    onError(instance: Instance<T, R, C>, defaultReturn: any): Promise<any | undefined>;
    before(instance: Instance<T, R, C>): Promise<void>;
    after(instance: Instance<T, R, C>): Promise<void>;
    private run;
}
